using System;
using System.Windows.Input;

namespace BingMapsCalculateRouteDemo.Core
{
    public class DelegateCommand : ICommand
    {
        private Action _execute;
        public DelegateCommand(Action execute)
        {
            _execute = execute;
        }
        public bool CanExecute(object parameter)
        {
            return true;
        }
        public event EventHandler CanExecuteChanged;
        public void Execute(object parameter)
        {
            _execute.Invoke();
        }
    }
}
